Name: TeXmacs
Version: 1.99.7
Release: 1%{?dist}
Summary: A structured wysiwyg scientific text editor

Group: Applications/Editors
License: GNU GPL 3.0
URL: http://www.texmacs.org
Source0: TeXmacs-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Packager: Daouda Niang Diatta <dndiatta@lix.polytechnique.fr>
Distribution: GNU/Linux
Vendor: Jo the ripper software
Buildrequires:  gcc-c++, libtool-ltdl-devel, netpbm, freetype-devel, libXt-devel, qt4-devel, guile-devel, xfig, aspell, ImageMagick

%description

GNU TeXmacs is a free wysiwyw (what you see is what you want) editing
platform with special features for scientists. The software aims to provide
a unified and user friendly framework for editing structured documents with
different types of content (text, graphics, mathematics, interactive content,
etc.). The rendering engine uses high-quality typesetting algorithms so as to
produce professionally looking documents, which can either be printed out
or presented from a laptop.

The software includes a text editor with support for mathematical formulas,
a small technical picture editor and a tool for making presentations from
a laptop. Moreover, TeXmacs can be used as an interface for many external
systems for computer algebra, numerical analysis, statistics, etc.
New presentation styles can be written by the user and new features can be

added to the editor using the Scheme extension language. A native spreadsheet
and tools for collaborative authoring are planned for later.

TeXmacs runs on all major Unix platforms and Windows. Documents can be
saved in TeXmacs, Xml or Scheme format and printed as Postscript or
Pdf files. Converters exist for TeX/LaTeX and Html/Mathml.

%prep
%setup -q

%build
%configure --disable-qt
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/fig2ps
%{_bindir}/texmacs
%{_includedir}/TeXmacs.h
%doc 
%{_mandir}/*/*
%{_libexecdir}/TeXmacs
%{_datadir}/TeXmacs

%changelog

* Sun Aug 18 2011   Joris van der Hoeven <vdhoeven@texmacs.org>
- 1.0.7.11 Remove dependency on TeTeX and add dependency on Qt

* Wed Apr 20 2011   Daouda Niang Diatta <dndiatta@lix.polytechnique.fr>
- 1.0.7.10 Initial TeXmacs Package 
